org.richfaces.renderkit.html.images

## Class EditorIcons

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.ajax4jsf.resource.Java2Dresource
    - - org.richfaces.renderkit.html.images.EditorIcons

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource
  Direct Known Subclasses:
    EditorAdvancedThemeIcons, EditorSimpleThemeIcons

      public abstract class EditorIcons
      extends org.ajax4jsf.resource.Java2Dresource

  Class with basic methods for drawing skinable icons for tinyMCE editor.
  Author:
    Alexandr Levkovsky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDITIONAL_BACKGROUND_COLOR` Additional background color parameter name in skin
    `static java.lang.String` | `GENERAL_TEXT_COLOR` General text color parameter name in skin
    `static java.lang.String` | `PANEL_BORDER_COLOR` Panel border color parameter name in skin
    `static java.lang.String` | `SELECT_CONTROL_COLOR` SelectControl color parameter name in skin

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorIcons()` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `deserializeData(byte[] objectArray)`
    `protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
    `protected java.awt.image.BufferedImage` | `paintFirstTriangleBlock(java.lang.Object[] colors, boolean selected)` Method to paint expand/collapse icon for some control
    `protected java.awt.image.BufferedImage` | `paintMainBlock(java.lang.Object[] colors, boolean selected, boolean withoutSubBorders)` Method to paint icon background
    `protected java.awt.image.BufferedImage` | `paintSecondTriangleBlock(java.lang.Object[] colors, boolean selected)` Method to paint expand/collapse icon for dropdown list
    `protected java.awt.image.BufferedImage` | `paintSeparatorBlock(java.lang.Object[] colors)` Method to paint icons background separator

    - ### Methods inherited from class org.ajax4jsf.resource.Java2Dresource

      `getDimensions, getDimensions, getImage, getResourceAsStream, paint, send`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDITIONAL_BACKGROUND_COLOR

          public static final java.lang.String ADDITIONAL_BACKGROUND_COLOR

      Additional background color parameter name in skin
      See Also:
        Constant Field Values

    - #### SELECT_CONTROL_COLOR

          public static final java.lang.String SELECT_CONTROL_COLOR

      SelectControl color parameter name in skin
      See Also:
        Constant Field Values

    - #### PANEL_BORDER_COLOR

          public static final java.lang.String PANEL_BORDER_COLOR

      Panel border color parameter name in skin
      See Also:
        Constant Field Values

    - #### GENERAL_TEXT_COLOR

          public static final java.lang.String GENERAL_TEXT_COLOR

      General text color parameter name in skin
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EditorIcons

          public EditorIcons()

      Constructor

  - ### Method Detail

    - #### getDataToStore

          protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                        java.lang.Object data)

      Overrides:
        `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### deserializeData

          protected java.lang.Object deserializeData(byte[] objectArray)

      Overrides:
        `deserializeData` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### paintMainBlock

          protected java.awt.image.BufferedImage paintMainBlock(java.lang.Object[] colors,
                                                    boolean selected,
                                                    boolean withoutSubBorders)

      Method to paint icon background
      Parameters:
        `colors` - - icon colors
        `selected` - - flag which defines either main or selected background color should be used in drawing
        `withoutSubBorders` - - flag which defines either sub borders should be painted in icon
      Returns:
        buffered image

    - #### paintSeparatorBlock

          protected java.awt.image.BufferedImage paintSeparatorBlock(java.lang.Object[] colors)

      Method to paint icons background separator
      Parameters:
        `colors` - - icon colors
      Returns:
        buffered image

    - #### paintFirstTriangleBlock

          protected java.awt.image.BufferedImage paintFirstTriangleBlock(java.lang.Object[] colors,
                                                             boolean selected)

      Method to paint expand/collapse icon for some control
      Parameters:
        `colors` - - icon colors
        `selected` - - flag which defines either main or selected background color should be used in drawing
      Returns:
        buffered image

    - #### paintSecondTriangleBlock

          protected java.awt.image.BufferedImage paintSecondTriangleBlock(java.lang.Object[] colors,
                                                              boolean selected)

      Method to paint expand/collapse icon for dropdown list
      Parameters:
        `colors` - - icon colors
        `selected` - - flag which defines either main or selected background color should be used in drawing
      Returns:
        buffered image

Copyright © 2013. All Rights Reserved.